- Qt 5.15
- Qt 3D
- C++ Classes
- QTextureImageDataGenerator
- Qt 5.15.11 Reference Documentation

# QTextureImageDataGenerator Class

class Qt3DRender::QTextureImageDataGenerator

Provides texture image data for QAbstractTextureImage. More...

Header: | #include <QTextureImageDataGenerator>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DRender::QAbstractFunctor

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

virtual QTextureImageDataPtr | operator()() = 0
virtual bool | operator==(const QTextureImageDataGenerator &other) const = 0

## Related Non-Members

typedef | QTextureImageDataPtr

## Detailed Description

QTextureImageDataGenerator is a data provider for QAbstractTexture. QTextureImageDataGenerator can be used to expand Qt3D with more ways to load texture image data as well as support user-defined formats and formats Qt3D does not natively support. The data is returned by the QTextureImageDataPtr which contains the data that will be loaded to the texture. QTextureImageDataGenerator is executed by Aspect jobs in the backend.

## Member Function Documentation

### `[pure virtual]` QTextureImageDataPtr QTextureImageDataGenerator::operator()()

Implement the method to return the texture image data.

### `[pure virtual]` bool QTextureImageDataGenerator::operator==(const QTextureImageDataGenerator &other) const

Implement the method to compare this texture data generator to other. Returns a boolean that indicates whether the QAbstractTextureImage needs to reload the QTextureImageData.

## Related Non-Members

### typedef QTextureImageDataPtr

Shared pointer to QTextureImageData.